Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler Class Reference

Handler for external storages. More...

## Public Member Functions
| __construct (StorageRegistry $storageRegistry, array $context)
| Creates a new storage handler. More...
| storeFieldData (VersionInfo $versionInfo, Field $field)
| Stores data from $field in its corresponding external storage. More...
| copyFieldData (VersionInfo $versionInfo, Field $field, Field $originalField)
| getFieldData (VersionInfo $versionInfo, Field $field)
| Fetches external data for $field from its corresponding external storage. More...
| deleteFieldData ($fieldType, VersionInfo $versionInfo, array $ids)
| Deletes data for field $ids from external storage of $fieldType. More...

## Protected Attributes
| $storageRegistry
| $context

## Detailed Description

Handler for external storages.

Definition at line 15 of file StorageHandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler::__construct | ( | StorageRegistry | $storageRegistry,
|  | array | $context
| ) |  |

Creates a new storage handler.

Parameters

  StorageRegistry | $storageRegistry |
  array | $context |

Definition at line 37 of file StorageHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler\$context, and eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler\$storageRegistry.

## Member Function Documentation

## ◆ copyFieldData()

eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler::copyFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field,
|  | Field | $originalField
| ) |  |

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  \eZ\Publish\SPI\Persistence\Content\Field | $originalField |

Definition at line 63 of file StorageHandler.php.

## ◆ deleteFieldData()

eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler::deleteFieldData | ( |  | $fieldType,
|  | VersionInfo | $versionInfo,
|  | array | $ids
| ) |  |

Deletes data for field $ids from external storage of $fieldType.

Parameters

  string | $fieldType |
  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  mixed[] | $ids |

Definition at line 94 of file StorageHandler.php.

## ◆ getFieldData()

eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler::getFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |

Fetches external data for $field from its corresponding external storage.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  Field | $field |

Definition at line 79 of file StorageHandler.php.

## ◆ storeFieldData()

eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler::storeFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |

Stores data from $field in its corresponding external storage.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  Field | $field |

Definition at line 49 of file StorageHandler.php.

## Member Data Documentation

## ◆ $context

eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler::$context
| protected

Definition at line 29 of file StorageHandler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler\__construct().

## ◆ $storageRegistry

eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler::$storageRegistry
| protected

Definition at line 22 of file StorageHandler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler\__construct().

The documentation for this class was generated from the following file:

- StorageHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.